From a76ae911e0652a1f50f1d49da9bc4f82041492d4 Mon Sep 17 00:00:00 2001
From: Salman Siddiqui <sasiddiq@redhat.com>
Date: Nov 14 2018 20:09:02 +0000
Subject: [PATCH 1/15] remove unnecessary javapackages-tools and javapackages-local


---

diff --git a/dd-plist/dd-plist.spec b/dd-plist/dd-plist.spec
index dd6e622..fb5c748 100644
--- a/dd-plist/dd-plist.spec
+++ b/dd-plist/dd-plist.spec
@@ -10,10 +10,9 @@ Source0:    https://github.com/3breadt/dd-plist/archive/dd-plist-1.21.tar.gz
 
 BuildArch:  noarch
 
-BuildRequires:  javapackages-tools
-BuildRequires:  maven-assembly-plugin
 BuildRequires:  maven-local
 BuildRequires:  maven-plugin-bundle
+BuildRequires:  maven-assembly-plugin
 BuildRequires:  sonatype-oss-parent
 
 Requires:   java-openjdk
diff --git a/directory-maven-plugin/directory-maven-plugin.spec b/directory-maven-plugin/directory-maven-plugin.spec
index f43471d..acd9899 100644
--- a/directory-maven-plugin/directory-maven-plugin.spec
+++ b/directory-maven-plugin/directory-maven-plugin.spec
@@ -10,7 +10,6 @@ Source0:    https://github.com/jdcasey/directory-maven-plugin/archive/directory-
 
 BuildArch:  noarch
 
-BuildRequires:  javapackages-tools
 BuildRequires:  maven-local
 BuildRequires:  maven-parent
 BuildRequires:  maven-plugin-plugin
diff --git a/fix-info-plist-maven-plugin/fix-info-plist-maven-plugin.spec b/fix-info-plist-maven-plugin/fix-info-plist-maven-plugin.spec
index 0551461..9fb4757 100644
--- a/fix-info-plist-maven-plugin/fix-info-plist-maven-plugin.spec
+++ b/fix-info-plist-maven-plugin/fix-info-plist-maven-plugin.spec
@@ -12,9 +12,8 @@ BuildArch:  noarch
 
 Patch0: 0_update_ddp_version.patch
 
-BuildRequires:  dd-plist
-BuildRequires:  javapackages-tools
 BuildRequires:  maven-local
+BuildRequires:  dd-plist
 BuildRequires:  maven-plugin-plugin
 BuildRequires:  xz-devel
 
diff --git a/jaf/jaf.spec b/jaf/jaf.spec
index c343b87..b19b9d9 100644
--- a/jaf/jaf.spec
+++ b/jaf/jaf.spec
@@ -14,12 +14,11 @@ Patch0:		0_add_manifest.patch
 
 BuildArch:	noarch
 
+BuildRequires:	maven-local
 BuildRequires:	ee4j
 BuildRequires:	glassfish-hk2-maven-plugins
-BuildRequires:	javapackages-local
 BuildRequires:	maven-dependency-plugin
 BuildRequires:	maven-enforcer-plugin
-BuildRequires:	maven-local
 BuildRequires:	maven-plugin-build-helper
 BuildRequires:	maven-plugin-bundle
 BuildRequires:	maven-source-plugin

